**`Macie Kassh`[NAME]** -NL- A Senior DevOps Architect who believes in collaboration and is passionate about operations including -NL- monitoring, automation, Security, virtualization & Cloud technologies -NL- **`OBJECTIVE`[SUMMARY_HEADING]** -NL- Seeking a role in DevOps area with milestone technologies which require my exceptional IT Engineering and analytic skills -NL- coupled with deeply focused experience to ensure the company’s success. -NL- **`SUMMARY`[SUMMARY_HEADING]** -NL- Detail-oriented, energetic specializing in DevOps architect with 15+ years’ progressively experience Operations & DevOps -NL- on Windows and Linux Platforms within private and public clouds. Key qualifications include: -NL- • Excel at performing analysis across a large range of development/architect and project activities, including -NL- designing; testing and implementing distributed systems, and performing diagnosis and troubleshooting functions. -NL- • Skillful at providing technical architecture to clients regarding windows & Linux Servers, on cloud(AWS/Azure). -NL- • Proficient in developing DevOps Pipeline including Continuous Integration, Continuous Delivery, Continuous -NL- Deployments, using infrastructure for code, Blue-Green and Canary Deployments using terraform, ansible, vault, -NL- consol, packer, vagrant, immutable infrastructure . -NL- • AWS Certified DevOPS Pro(2017) -NL- **`CORE COMPETENCIES`[SKILLS_HEADING]** -NL- • Windows Server 2008 R2/2012 / Windows 7 / 8.1/10 • Linux (Centos/Ubuntu)server support -NL- • Windows Deployment Server/WDS/MDT/Workbench • supporting Apache, MySQL & PHP(LAMP) -NL- • Active Directory /GPO deployment & Configuration -NL- • Docker/Rancher/Kubernetes -NL- • JetBrains' TeamCity and Atlassian's Bamboo/JIRA, -NL- • Configuration Routers/Firewalls, VPN DNS, -NL- Octupus Deploy -NL- • Gihub/Subversion -NL- • Windows PowerShell DSC, cmdlets Citrix/XenApp/ -NL- • VMware(ESXi)/VirtualBox//Vagrant/Packer -NL- XenServer/Linux/WDS/MDT modules/IIS -NL- • OpenStack/Openshift/CloudForms -NL- • Cloud Server performance monitoring -NL- • Ansible/Playbook, Puppet /Manifests /SaltStack -NL- • Azurerm ARM, Containers, virtual machines, -NL- • Terraform/AWS Cloudformation,CodeDeploy, -NL- Resource Groups, NSG, load balancer, Networks,DB -NL- Lambda -NL- • AWS EC2, ELB, ECR, VPC, AMI, IAM, S3, CloudFront, • Python development programming(Beautiful -NL- IAM, RDS, Route 53, CloudWatch, SNS -NL- Soup, Fabric,Flask, -NL- NON-TECHNICAL SKILS: -NL- • Comfortable to work independently and as a part of a team. Passionate to acquire new skills. -NL- • Excellent multitasking, problem solving and resource management skills -NL- • A confident and patient worker with an ability to develop and maintain a professional rapport with colleagues. -NL- **`SELECTED ACCOMPLISHMENTS:-`[OTHERS_HEADING]** -NL- • Transformed an application (Nodejs+ monogoDB) into Dockerized containers, deployed using Terraform, ansible, -NL- vagrant and packer scripting. On AWS -NL- • Implemented a Continuous Delivery pipeline using Terraform with Docker, Jenkins and GitHub on AWS’s, -NL- integration with Jira and confluence. -NL- • Designed/implemented an architecture on Azure an a automated Devops Pipeline (CI/CD) solutions using -NL- Terraform, Ansible Concourse, Bosh, kubernetes, Github -NL- (VM,VNetwork,ResourceGroup,SQL,Loadbalancers,traffic manager,) -NL- • Architectured/Deployed Python libraries/modules for transform & Provisioning the onsite infrastructure to Azure -NL- using fabric & flask,Boto3. -NL- **`EDUCATION`[EDUCATION_HEADING]** -NL- • **`Central Queensland University, Australia`[EDUCATION_INSTITUTE]**, -NL- **`Management of Information Systems`[EDUCATION_COURSE]** (**`MBA`[EDUCATION_DEGREE]**),2000 -NL- [London] -NL- T: **`07459660602`[PHONES_PHONE]** -NL- E: **`mackie.kassh@gmail.com`[EMAILS_EMAIL]** -NL- **`Macie Kassh`[NAME]** -NL- A Senior DevOps Architect who believes in collaboration and is passionate about operations including -NL- monitoring, automation, Security, virtualization & Cloud technologies -NL- **`EXPERIENCE`[WORK_EXPERIENCE_HEADING]** -NL- **`Principle DevOps/Cloud Architect`[EMPLOYER_ROLE]**, **`Large Cloud Service provider(Contract)`[EMPLOYER_COMPANY_NAME]**. -NL- London, UK – Nov 2017 – Mar 2018 -NL- A major British multinational Cloud Service Provider headquartered in London. Part of a team developing Request for -NL- Proposal for cloud migration for a client. The overall objective is to assess the migration of workloads and applications to -NL- the cloud, supported by comprehensive cloud migration planning services. To achieve this, the cloud migration planning -NL- services must meet applicable business, technical, security, management, and administrative objectives. -NL- **`Accomplishments`[OTHERS_HEADING]** -NL- • Delivered a technical architecture capturing the “to-be” cloud migration state that is consistent with adopted -NL- enterprise architecture frameworks and client standards. Delivered a migration planning for the target design. -NL- • Developed Architecture and deployed automated solutions using Terraform, Ansible on the AWS/Azure -NL- cloud(POC). Including security, application, Big data/Hadoop, and high performance computing (HPC), and Active -NL- Directory architectures in the cloud. -NL- • Designed terraform/ansible scripts for the Transformation of infrastructure from private cloud to AWS/Azure using -NL- infrastructure-as-code. -NL- • Developed Ansible playbook for the security hardening of images. Based on the CIS benchmarks/ framework. -NL- Including the developing of testing of images security enhancements -NL- **`DevOps/Automation Engineer`[EMPLOYER_ROLE]**, **`Large Retailer(Contract)`[EMPLOYER_COMPANY_NAME]**. -NL- London, UK – July 2017 – Nov 2017 -NL- A major British multinational retailer headquartered in London. It is listed on the London Stock Exchange and is a -NL- constituent of the FTSE 100 Index. It specializes in the selling of clothing, home products and luxury food products. -NL- **`Accomplishments`[OTHERS_HEADING]** -NL- • Architecture & deployed devops pipeline (Azure), with Cloud Foundry (CFI),PCF,PWS using Bosh and Concourse. -NL- • Designed terraform/ansible scripts for the Transformation of infrastructure from AWS cloud to Azure/kubernetes -NL- using infrastructure-as-code. Scripts were deployed using Terraform, Ansible, Packer, Vault, GitHub on Azure. -NL- **`DevOps/Automation Engineer`[EMPLOYER_ROLE]**, **`Vulcano Sas`[EMPLOYER_COMPANY_NAME]**(Contract). -NL- Milan, Italy – April 2017 – June 2017 -NL- Volcano Sas was founded in 1992. **`Vulcano Sas`[EMPLOYER_COMPANY_NAME]**, are a software development company producing applications in the -NL- areas of server management, application services management business management software, Web Sites development. -NL- **`Accomplishments`[OTHERS_HEADING]** -NL- • Architecture and deployed automated solutions using Python, Fabric, Boto3, Flask -NL- • Designed Python/ansible/terraform scripts for the Transformation of infrastructure from private cloud to public -NL- cloud AWS using infrastructure-as-code. All scripts were deployed with blue-green deployment, with idempotent -NL- and Immutable infrastructure concepts, avoiding snowflake servers -NL- **`DevOps/Automation Consultant`[EMPLOYER_ROLE]**, **`Bank`[EMPLOYER_COMPANY_NAME]** (Contract) -NL- London, UK — Oct 2016 – March 2017 -NL- The bank is in the process of adopting DevOps framework and using IT operations into AWS cloud. The transformation is -NL- to cope with the growing consumer demand for mobile and online banking services. -NL- **`Accomplishments`[OTHERS_HEADING]** -NL- • Architecture and deployed an automated migration of 4 Jira instances onto one instance using ansible (500+ -NL- users). -NL- • Designed, architect and deployed 5 Confluence Instances onto one server instances using terraform(700+ users) -NL- • Manage re-architecture of Jenkins and integration with Confluence for release management and documentation -NL- assets. Re architect a Maven based system reducing build times. -NL- • Manage all CM tools (JIRA, Confluence, Artifactory, SVN, Maven, Jenkins, GitHub, Visual Studio) and their usage -NL- [London] -NL- T: **`07459660602`[PHONES_PHONE]** -NL- E: **`mackie.kassh@gmail.com`[EMAILS_EMAIL]** -NL- **`Macie Kassh`[NAME]** -NL- A Senior DevOps Architect who believes in collaboration and is passionate about operations including -NL- monitoring, automation, Security, virtualization & Cloud technologies -NL- / process ensuring traceability, repeatability, quality, and support. -NL- • Whenever a new GitHub branch is submitted, Jenkins, automatically attempts to build a new Docker container -NL- from it, The Docker container leverages Linux containers and has the AMI baked in. -NL- **`DevOps/Automation Consultant`[EMPLOYER_ROLE]**, **`Insurance Company`[EMPLOYER_COMPANY_NAME]** (Contract). -NL- London, UK — May 2016 – Sep 2016 -NL- Designed, architect and deployed automated delivery framework using infrastructure as code to Automate the deployment -NL- of apps into the cloud. -NL- Designed, architect and build a deploy pipeline to test environment to simulate the client infrastructure to test bug -NL- fixes/Issues/new builds(provision using salt stack). -NL- Using vagrant/ packer/cloud infrastructure(Azure/AWS)/ansible/Ubuntu Linux/Docker -NL- **`Accomplishments`[OTHERS_HEADING]** -NL- • Architected Automated Deployment of Linux VM images and Dockerized containers using (using vagrant, packer, -NL- ansible, salt stack, terraform, Docker). -NL- • Developed Python Scripts/Modules to interact with REST API’s. -NL- • Dockerized micro services/monitoring tools within AWS. -NL- **`Operations Support Analyst/Infrastructure Engineer `[EMPLOYER_ROLE]**(DevOps), **`Egyptian ministry of information`[EMPLOYER_COMPANY_NAME]** -NL- Cairo Egypt — Feb 2010 - Feb 2016 -NL- Planned, designed and implemented enterprise solutions. Lead two projects: DevOps Project and Cloud transformation -NL- project. cloud/virtualization/DevOps transformation, architecture/design, configuration Management, migration. -NL- Infrastructure supported both AWS/Azure in prod/dev environments with large number of servers running multiple OSs, -NL- MYSQL, Apache, IIS, PowerShell/Python Scripts. Enhanced the performance of systems by using DevOps framework to -NL- resolve complicated systems issues using automation -NL- **`Accomplishments`[OTHERS_HEADING]** -NL- • Management of library versions and deprecated code, Design and sequencing of automated builds & test runs -NL- and Troubleshooting expertise – build failures due to dependencies, tests, etc. -NL- • Design, build, architect, and implement orchestration for move to new cloud environment. Moving into a private -NL- cloud environment (Vmware-ESXI). -NL- • Evangelism of best practices and tools and Programming/scripting skills using tools like shell scripting, Python, -NL- Powershell with Strong communication and cross-functional skills and the ability to execute autonomously given -NL- a set of clearly defined strategies -NL- • Implement a fully virtualized (Vagrant) development environment allowing for collaboration and repeatable -NL- processes between developers with shorter onboarding times -NL- • Update and modularize Salt states to allow for ease of use between multiple projects -NL- • Technologies: AWS (S3, RDS, EC2, Route 53, VPC, Cloud Formation), Salt Stack, Nagios, Python, GitHub, -NL- Jenkins, Vagrant -NL- • Administration of Ubuntu Linux servers. Redundancy solution clustering with load balancing. Nginx load -NL- balancing. Wrote Puppet Manifest & Ansible playbooks to deploy automated tasks to many Ubuntu servers -NL- • Continuous Integration and Continuous Delivery using TFS and Octopus Deploy in Windows Azure(Visual -NL- Studio) -NL- • Designed Desired State Configuration Framework. Additionally, this PowerShell Framework is capable of -NL- performing SSH based tasks such as disabling servers in load Balancers with open source DLL and custom dot -NL- net functions. -NL- • Automating deployment, continuous integration pipelines, and Azure/AWS rollout running Flex, Java and .NET -NL- applications, using GitHub Enterprise, TeamCity, Nexus, Built with Puppet & ansible. Developed PowerShell -NL- Scripts to automate server builds, OS patches, and deployment of applications to dev, test, and production -NL- environments. -NL- • Docker Compose environment deployment for Ruby on Rails, Elixir and Node.JS apps running on a stack with -NL- [London] -NL- T: **`07459660602`[PHONES_PHONE]** -NL- E: **`mackie.kassh@gmail.com`[EMAILS_EMAIL]** -NL- **`Macie Kassh`[NAME]** -NL- A Senior DevOps Architect who believes in collaboration and is passionate about operations including -NL- monitoring, automation, Security, virtualization & Cloud technologies -NL- Postgresql, ElasticSearch, OrientDB and Nginx, on AWS. -NL- • Reduced the time of windows 7,8.1 corporate-wide deployment on Laptops using Windows Deployment Services -NL- /Microsoft Deployment Kit, WDS/MDT images with WAIK/Zero-touch deployment/PXE boot -NL- • Spearheaded a successful Active Directory domain migration and workstation rollout for a multi-site, with over -NL- 1,500 users. Laptops, application servers, infrastructure services (AD, GPO, Policy, DNS, DHCP, DFS etc), email -NL- and all on time and within budget. -NL- • Installation of IT network equipment and system software Routers, LAN, VPN, DNS, VMware, -NL- VirtualBox,Cisco/ASA Routers/Firewalls. -NL- • Management, build, upgrade of hardware and virtualized (Xen Server, VMware vSphere Hypervisor™ (ESXi)) -NL- GNU/Linux (CentOS 6.5, RedHat Enterprise) servers. -NL- • Setup/deployed LAMP(Linux, Apache, MySQL/MSSQL,PHP) on CentOS in Virtualization servers. -NL- **`Operations Support Engineer`[EMPLOYER_ROLE]**(DevOps Engineer), **`A.T. KEARNEY (UAE) LIMITED`[EMPLOYER_COMPANY_NAME]** -NL- Dubai, U.A.E — Sep 2003 - Aug 2009 -NL- Providing 3rd line Server support for co-op head office users, branch users, and other regional team members via -NL- telephone, email, site visits and remote assistance. Ensuring incidents are resolved within specified SLAs to minimize -NL- service impact. -NL- **`Accomplishments`[OTHERS_HEADING]** -NL- • Technical support for Microsoft Windows XP, Windows 7, Windows 8.1, Active Directory, MS SCCM, Microsoft -NL- Office and Outlook. Both end user and back-end services. -NL- • Supporting client VDI / VDE, including monitoring VDI servers for issues, resolving virtual machine issues, -NL- resolving AppSense caching issues and providing user training and testing of new VDI builds and patches. -NL- • Supporting Citrix XenApp and Citrix published Server environment and published applications. Supporting remote -NL- users accessing remotely Citrix Access Gateway and Citrix Receiver. -NL- • Significantly reduced workstation set-up time by developing a Laptop-cloning image using -NL- WDS/MDT/WORKBENCH Server Technology. -NL- • Remote support using PushVNC, LogMeIn Rescue, and MS SCCM remote control. -NL- • Mobile device configuration, exchange email management and software and hardware support including iPhones -NL- and Windows Phone - device management handled using AirWatch / Exchange active sync -NL- **`Cyber Security Analyst`[EMPLOYER_ROLE]**, **`PricewaterhouseCoopers`[EMPLOYER_COMPANY_NAME]** (PwC) -NL- Singapore — Feb 2001 - July 2003 -NL- Provided expert technical Implementation and support on cyber security, both in business-as-usual and for -NL- live and planned projects within PwC clients’ business. -NL- **`Accomplishments`[OTHERS_HEADING]** -NL- • Provided input to a security strategy and/or target operating model for an information security function(ISO 27001/2) -NL- • Conducted a security threat, risk, capability and/or maturity assessment -NL- • Designed technical solutions to address specific security challenges -NL- • Provided security subject matter expertise within a wider strategic client engagement -NL- [London] -NL- T: **`07459660602`[PHONES_PHONE]** -NL- E: **`mackie.kassh@gmail.com`[EMAILS_EMAIL]** -NL- 